View Issue Details

IDProjectCategoryView StatusLast Update
0000145QElectroTechDiagram Editorpublic2018-03-29 16:30
Reportermax Assigned Toblack_sun  
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAMD FX6200 OSdebian stretch x64OS VersionGnome 3.22.2
Product VersionSVN/trunk 
Target VersionFixed in Version 
Summary0000145: Problem with coming and going arrows variable
Descriptionwhen i try to make variables like in this Video
then working it on the going side, but in the coming side they changed variables value.
See the picture in the attachment.

When i open the element in the Editor or with text editor, is already ok.
[code=<definition type="element" hotspot_x="3" orientation="dyyy" version="0.70" link_type="previous_report" hotspot_y="5" height="10" width="20"> <uuid uuid="{c068171c-8fc4-47fa-8c0c-8cc8fc28a365}"/> <names> <name lang="en">coming arrow</name> <name lang="pl">wej?cie adresowe</name> <name lang="it">foglio precedente</name> <name lang="fr">folio précédent</name> <name lang="el">??????????? ??????</name> <name lang="ar">?????? ???????</name> <name lang="nl">referentie vorig</name> <name lang="de">vorherige folie</name> <name lang="ru">?????????? ????????</name> <name lang="es">folio anterior</name> <name lang="cs">p?edchozí list</name> </names> <informations>author: the qelectrotech team license: see http://qelectrotech.org/wiki/doc/elements_license</informations> <description> <polygon y4="-3" antialias="true" y1="-3" style="line-style:normal;line-weight:normal;filling:black;color:black" y2="3" x1="-1" x2="-1" y3="0" x3="9" x4="-1"/> <line antialias="false" y1="0" style="line-style:normal;line-weight:normal;filling:none;color:black" end2="none" y2="0" end1="none" length1="1.5" x1="8" x2="11" length2="1.5"/> <input tagg="tension-protocol" x="5" y="-5" size="5" rotate="true" text="()" /> <input tagg="function" x="-32" y="0" size="6" rotate="true" text="/" /> <input tagg="function" x="-49" y="0" size="6" rotate="true" text="_" /> <terminal x="12" orientation="e" y="0"/> </description> </definition>][/code]

But when i insert it it changed the "tagg" value.

This worked always for me but i don't know with wich update it no more works.
TagsNo tags attached.

Activities

max

2017-11-11 16:16

reporter  

scorpio810

2017-11-11 17:05

administrator   ~0000256

Hello Max,

isn't the same problem ?
https://qelectrotech.org/bugtracker/view.php?id=144#c254

scorpio810

2017-11-11 17:50

administrator   ~0000257

When you copy a element like report folio, tag label is replaced by a dynamic text user.
https://www.youtube.com/watch?v=jS_yzv1Er1s

max

2017-11-12 13:13

reporter   ~0000258

This solved the problem.

But i'm confused, in the QET library for the text where come from or where is going, is used the dynamic text field.

A big help for all users a little list how to use variables in:
  • editor
  • diagram
  • templates

Or is there already one?

max

2017-11-12 16:02

reporter   ~0000259

Sorry, problem is not solved.
I think the problem comes from connector elements.

Connectors with more pins give properties not to the next wire.
See in picture.

all.png (736,581 bytes)

max

2017-11-12 16:05

reporter  

UV_Halle.qet (166,566 bytes)

max

2017-11-12 16:05

reporter   ~0000260

project attached

scorpio810

2017-11-12 16:28

administrator   ~0000261

Last edited: 2017-11-12 16:38

View 3 revisions

Yes we know if you use a connector with 3 or 4 terminal you need to add yourself conductor properties, name voltage/tension, etc.

https://download.tuxfamily.org/qet/forum_img/bug_145.mp4

max

2017-11-12 19:30

reporter   ~0000262

This is a big bug. I hope this is in progress?

You can close ID 0000145, it's solved.


Thanks for very fast help!

Issue History

Date Modified Username Field Change
2017-11-11 16:16 max New Issue
2017-11-11 16:16 max File Added: Bildschirmfoto von »2017-11-11 16-14-40«.png
2017-11-11 17:05 scorpio810 Note Added: 0000256
2017-11-11 17:50 scorpio810 Note Added: 0000257
2017-11-12 13:13 max Note Added: 0000258
2017-11-12 16:02 max File Added: all.png
2017-11-12 16:02 max Note Added: 0000259
2017-11-12 16:05 max File Added: UV_Halle.qet
2017-11-12 16:05 max Note Added: 0000260
2017-11-12 16:28 scorpio810 Note Added: 0000261
2017-11-12 16:37 scorpio810 Note Edited: 0000261 View Revisions
2017-11-12 16:38 scorpio810 Note Edited: 0000261 View Revisions
2017-11-12 19:30 max Note Added: 0000262
2018-03-29 16:30 black_sun Assigned To => black_sun
2018-03-29 16:30 black_sun Status new => resolved
2018-03-29 16:30 black_sun Resolution open => fixed